package com.zksy.property.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.property.domain.ASimplifiedHouseInfo;
import com.zksy.property.domain.dto.ASimplifiedHouseInfoDto;
import com.zksy.property.domain.vo.ASimplifiedHouseInfoVo;
import com.zksy.property.domain.vo.HouseInfoVo;

import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【a_simplified_house_info(房屋信息表)】的数据库操作Service
* @createDate 2025-07-14 11:59:44
*/
public interface ASimplifiedHouseInfoService extends IService<ASimplifiedHouseInfo> {
    Page<ASimplifiedHouseInfo> findByPage(long pageNum, long pageSize, String assetType,String building,String houseName,String status);
    List<ASimplifiedHouseInfo> getASimplifiedHouseInfoList(String assetType,String building,String houseName,String status);
    Page<ASimplifiedHouseInfoVo> getListPage(ASimplifiedHouseInfoDto entity);

    HouseInfoVo getHouseDetailInfo(String simplifiedHouseId);

    boolean removeBatchId(String[] ids);
    List<Map<String,Object>> getArrears();
}
